Debian Bug report logs - #648559
transition: evolution 3.2 / libgdata 0.10

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Josselin Mouette <joss@debian.org>

Date: Sat, 12 Nov 2011 23:39:05 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-gnome-maintainers@lists.alioth.debian.org, pkg-evolution-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Sat, 12 Nov 2011 23:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-gnome-maintainers@lists.alioth.debian.org, pkg-evolution-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Nov 2011 23:39:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: evolution 3.2 / libgdata 0.10
Date: Sun, 13 Nov 2011 00:37:46 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

with GNOME 3.2 comes another transition for evolution and libgdata:
 * libedata-cal-1.2-11 → libedata-cal-1.2-13
 * libedata-book-1.2-9 → libedata-book-1.2-11
 * libedataserverui-3.0-0 → libedataserverui-3.0-1
 * libcamel-1.2-23 → libcamel-1.2-29
 * libedataserver1.2-14 → libedataserver-1.2-15
 * libebook1.2-10 → libebook-1.2-12
 * libecal1.2-8 → libecal-1.2-10
 * libgdata11 → libgdata13

The following packages need sourceful uploads:
 * claws-mail-extra-plugins
 * evolution-data-server3 → renamed back to evolution-data-server
 * evolution
 * evolution-exchange
 * evolution-rss
 * grilo-plugins
 * gtkhtml4.0
 * libgdata
 * totem

The following packages need binNMUs:
 * almanah
 * contacts
 * dates
 * deskbar-applet
 * ekiga
 * eweouz
 * giggle
 * glabels
 * gnome-panel
 * gnome-phone-manager
 * gnome-python-desktop
 * gnome-shell
 * hdate-applet
 * jana
 * libopensync-plugin-evolution2
 * libreoffice
 * librevolution-ruby
 * mail-notification

With this release we introduce evolution-ews. It is not part of that 
transition but should be part of the next one. I’m starting to lose hope 
for evolution-mapi, since samba4 is still not ready.

Because of claws-mail-extra-plugins, we will have to wait before the 
end of the perl transition, unless there is a better plan. In all cases, 
we have to wait for glib2.0 2.30 to be in testing first, which in turn 
requires a multiarch-compatible udev.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Fri, 18 Nov 2011 13:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rene Engelhard" <rene.engelhard@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Nov 2011 13:57:10 GMT) Full text and rfc822 format available.

Message #10 received at 648559@bugs.debian.org (full text, mbox):

From: "Rene Engelhard" <rene.engelhard@gmx.de>
To: Josselin Mouette <joss@debian.org>, 648559@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Fri, 18 Nov 2011 14:54:44 +0100
> Hi,
> 
> with GNOME 3.2 comes another transition for evolution and libgdata:
[...]
>  * libebook1.2-10 → libebook-1.2-12
[...]
> The following packages need sourceful uploads:
[...]
> The following packages need binNMUs:
[...]
>  * libreoffice

Sorry, no. I don't know how you checked but it needs a sourceful upload to recognize .so.12 (it only supports .so.11 until now, see http://patch-tracker.debian.org/patch/series/view/libreoffice/1:3.4.4-1/libebook-1.2.so.11.diff, plain upstream only knows .so.10...).

After that it can be bin-NMUed if necessary, yes...

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Fri, 18 Nov 2011 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Nov 2011 14:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 648559@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Rene Engelhard <rene.engelhard@gmx.de>
Cc: 648559@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Fri, 18 Nov 2011 15:37:29 +0100
Le vendredi 18 novembre 2011 à 14:54 +0100, Rene Engelhard a écrit : 
> > The following packages need binNMUs:
> [...]
> >  * libreoffice
> 
> Sorry, no. I don't know how you checked but it needs a sourceful
> upload to recognize .so.12 (it only supports .so.11 until now, see
> http://patch-tracker.debian.org/patch/series/view/libreoffice/1:3.4.4-1/libebook-1.2.so.11.diff, plain upstream only knows .so.10...).

Thanks for the notice. I checked packages depending on libebook and
assumed they could be rebuilt.

How is this dependency on libebook added then? Is it in the package
scripts?

If so, since the evolution component is split in a separate package
anyway, and since you’re already patching, you might want to move from
this dynamic loading system to a plain use of the library package. It
would make evolution transitions much simpler.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Fri, 18 Nov 2011 15:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rene Engelhard" <rene.engelhard@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Nov 2011 15:12:07 GMT) Full text and rfc822 format available.

Message #20 received at 648559@bugs.debian.org (full text, mbox):

From: "Rene Engelhard" <rene.engelhard@gmx.de>
To: Josselin Mouette <joss@debian.org>
Cc: 648559@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Fri, 18 Nov 2011 16:09:30 +0100
Hi,

> How is this dependency on libebook added then? Is it in the package
> scripts?

Yes. http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=scripts/get_libebook_dep.sh;h=a5542cffb0000b4e09b124cc3d513d284b8b3d66;hb=HEAD

and

http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=rules;h=b49e43db198d959829f6ef2b090ec9fd908f9c5e;hb=HEAD#l3403

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Fri, 16 Dec 2011 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 16 Dec 2011 23:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 648559@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Josselin Mouette <joss@debian.org>, 648559@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Fri, 16 Dec 2011 23:01:45 +0000
tag 648559 + pending
thanks

On Sun, 2011-11-13 at 00:37 +0100, Josselin Mouette wrote:
> with GNOME 3.2 comes another transition for evolution and libgdata:
[and gtkhtml]

16:56 < jcristau> so you can prepare the packages and if gnome-desktop3 is done with tonight's run, i'll let you know and you can upload
22:35 < jcristau> Np237: all green.

i.e. - "go". :)

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 16 Dec 2011 23:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Tue, 20 Dec 2011 13:48:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Dec 2011 13:48:34 GMT) Full text and rfc822 format available.

Message #32 received at 648559@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Josselin Mouette <joss@debian.org>, 648559@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Tue, 20 Dec 2011 14:46:00 +0100
[Message part 1 (text/plain, inline)]
I noticed that tracker-miner-evolution did not show up at the transition
tracker [1].
tracker has a b-dep on evolution-dev, evolution-data-server-dev and
libcamel1.2-dev.
None of that is currently listed in Affected.

Afaics, lib(camelebook| is a typo, and should be lib(camel| instead,
I've also added evolution-dev, evolution-data-server-dev.

Patch for ben attached.

There are also still some binNMUs missing, like e.g. for eog-plugins or
empathy and the aforementioned tracker.


[1] http://release.debian.org/transitions/html/evolution3.2.html
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[evolution3.2.ben.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Tue, 20 Dec 2011 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Dec 2011 19:45:07 GMT) Full text and rfc822 format available.

Message #37 received at 648559@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 648559@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Tue, 20 Dec 2011 20:41:56 +0100
On Tue, Dec 20, 2011 at 14:46:00 +0100, Michael Biebl wrote:

> I noticed that tracker-miner-evolution did not show up at the transition
> tracker [1].
> tracker has a b-dep on evolution-dev, evolution-data-server-dev and
> libcamel1.2-dev.
> None of that is currently listed in Affected.
> 
> Afaics, lib(camelebook| is a typo, and should be lib(camel| instead,
> I've also added evolution-dev, evolution-data-server-dev.
> 
> Patch for ben attached.
> 
Applied.

> There are also still some binNMUs missing, like e.g. for eog-plugins or
> empathy and the aforementioned tracker.
> 
Above you mentioned tracker-miner-evolution, which is it?  Is that the
full list?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Thu, 22 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Message #42 received at 648559@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 648559@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Thu, 22 Dec 2011 01:08:56 +0100
[Message part 1 (text/plain, inline)]
On 20.12.2011 20:41, Julien Cristau wrote:

>> There are also still some binNMUs missing, like e.g. for eog-plugins or
>> empathy and the aforementioned tracker.
>>
> Above you mentioned tracker-miner-evolution, which is it?  Is that the
> full list?

This list should hopefully be complete:

binNMUs to be scheduled
======================
eog-plugins_3.2.2-1
empathy_3.2.2-2
tracker_0.12.9-1
libopensyn-plugin-evolution2_0.39-1 (sid only)
syncevolution_1.1.99.5a-2
evolution-webcal_2.32.0-2
libreoffice_1:3.4.4-2
nautilus-sendto_3.0.1-2
sflphone_1.0.1-4
tasks_0.20-1


FTBFS
=====
ekiga_3.2.7-4.1 → powerpc
multisync0.90 → #569410 (sid only)
evolution-mapi_0.30.3-2 (sid only)
almanah → no bug filed yet, Joss?


false positive
==============
xiphos (builds against libgkthtml3.14)
control-center (about-me menu, dominated by gnome-control-center 3.x)




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Fri, 23 Dec 2011 19:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 23 Dec 2011 19:42:27 GMT) Full text and rfc822 format available.

Message #47 received at 648559@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 648559@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Fri, 23 Dec 2011 20:32:12 +0100
On Thu, Dec 22, 2011 at 01:08:56 +0100, Michael Biebl wrote:

> This list should hopefully be complete:
> 
Thanks for this.

> binNMUs to be scheduled
> ======================
> eog-plugins_3.2.2-1
> empathy_3.2.2-2

Should be 3.2.2-1.

> tracker_0.12.9-1
> libopensyn-plugin-evolution2_0.39-1 (sid only)

opensync's broken, I skipped this one.

> syncevolution_1.1.99.5a-2
> evolution-webcal_2.32.0-2

Done except for amd64 (maintainer upload was built against 3.2 already).

> libreoffice_1:3.4.4-2
> nautilus-sendto_3.0.1-2

That doesn't seem to have any evolution dependencies?

> sflphone_1.0.1-4

Neither does this?

> tasks_0.20-1
> 

Scheduled the rest.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Sat, 24 Dec 2011 09:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Dec 2011 09:33:15 GMT) Full text and rfc822 format available.

Message #52 received at 648559@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 648559@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Sat, 24 Dec 2011 10:31:56 +0100
On Thu, Dec 22, 2011 at 01:08:56 +0100, Michael Biebl wrote:

> sflphone_1.0.1-4

Seems to FTBFS on s390, I just filed a bug.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648559; Package release.debian.org. (Sun, 25 Dec 2011 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Dec 2011 09:57:08 GMT) Full text and rfc822 format available.

Message #57 received at 648559@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 648559@bugs.debian.org, Francois Marier <francois@debian.org>
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Sun, 25 Dec 2011 10:55:15 +0100
[Message part 1 (text/plain, inline)]
On 23.12.2011 20:32, Julien Cristau wrote:


> That doesn't seem to have any evolution dependencies
> 
>> libreoffice_1:3.4.4-2

libreoffice-evolution?

>> nautilus-sendto_3.0.1-2

You're right, debian/rules contains:

binary-post-install/nautilus-sendto::
	# Temporarily remove the evolution plugin, it's broken
	rm
debian/nautilus-sendto/usr/lib/nautilus-sendto/plugins/libnstevolution.so


> 
>> sflphone_1.0.1-4
> 

Hm, the version 0.9.13-3 in wheezy [1] does.
Looking through the sources, I get
$ grep e-book * -R
plugins/addressbook/evolution/eds.h:#include <libebook/e-book.h>

Not quite sure what's going on in 1.0.1-4.
Francois, could you check if the build dependency on libebook1.2-dev is
still required. And if so, if the evo addressbook plugin is correctly
built and installed.

Thanks for double-checking.

Cheers,
Michael

[1] http://packages.debian.org/wheezy/sflphone-gnome
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added indication that bug 648559 blocks 653195 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 25 Dec 2011 22:15:08 GMT) Full text and rfc822 format available.

Removed indication that bug 648559 blocks 653195 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:12:10 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 14:27:14 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 14:27:14 GMT) Full text and rfc822 format available.

Message #66 received at 648559-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Josselin Mouette <joss@debian.org>, 648559-done@bugs.debian.org
Subject: Re: Bug#648559: transition: evolution 3.2 / libgdata 0.10
Date: Sat, 3 Mar 2012 15:25:49 +0100
[Message part 1 (text/plain, inline)]
This was done a while back, closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:45:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:22:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.